Package com.sas.lsaf.query.security.permissions

## Class PermissionsQuery

- java.lang.Object
- - com.sas.lsaf.query.Query
  - - com.sas.lsaf.query.security.permissions.PermissionsQuery

- All Implemented Interfaces:
    `java.io.Serializable`

      public class PermissionsQuery
      extends Query

  This class represents criteria to use to query permission information.
  Since:
    2.5
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.List<Column>` | `ALL` | The value that represents all columns in `PermissionsQuery`.
    `static Column` | `ID` | The column that represents the unique identifier of a repository item.
    `static Column` | `OWNER` | The column that represents the owner of a repository item.
    `static Column` | `PATH` | The column that represents the full path of a repository item.
    `static Column` | `PERMISSIONS` | The column that represents the effective permissions the user has to the repository item.
    `static Column` | `TYPE` | The column that represents the type of a repository item.
    `static Column` | `USERID` | The column that represents the userId of the user.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PermissionsQuery()` |

  - ### Method Summary

    - ### Methods inherited from class com.sas.lsaf.query.Query

      `constrain, getColumns, getConstraint, getOrder, includeColumnNames, isIncludeColumnNames, order, order, select, select, setColumns, setConstraint, setIncludeColumnNames, setOrder, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final Column ID

      The column that represents the unique identifier of a repository item.

    - #### PATH

          public static final Column PATH

      The column that represents the full path of a repository item.

    - #### TYPE

          public static final Column TYPE

      The column that represents the type of a repository item.

    - #### OWNER

          public static final Column OWNER

      The column that represents the owner of a repository item.

    - #### USERID

          public static final Column USERID

      The column that represents the userId of the user.

    - #### PERMISSIONS

          public static final Column PERMISSIONS

      The column that represents the effective permissions the user has to the repository item.

    - #### ALL

          public static final java.util.List<Column> ALL

      The value that represents all columns in `PermissionsQuery`.

  - ### Constructor Detail

    - #### PermissionsQuery

          public PermissionsQuery()